Bug 1415699 - RFE for RHOS 10 Director Installation and Usage
Summary: RFE for RHOS 10 Director Installation and Usage
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Documentation Team
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 13:15 UTC by Nikhil Shetty
Modified: 2018-10-29 23:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-29 23:18:25 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Nikhil Shetty 2017-01-23 13:15:52 UTC
Description of problem:
We need to specify a portion for PXE_SSH in overcloud integration via command line

Version-Release number of selected component (if applicable):RHOS 10

Actual results:
Not available in Page 5, portion 5.1


Expected results:

Note

The UI also allows for registration of nodes from a KVM host using the pxe_ssh driver. Note that this option is available for testing and evaluation purposes only. It is not recommended for Red Hat OpenStack Platform enterprise environments. For more information, see Section B.6, “SSH and Virsh”.

Comment 1 Dan Macpherson 2017-01-24 00:35:18 UTC
Closing this BZ as the pxe_ssh driver is only for evaluation purposes as per the note. Customers should not be using pxe_ssh in enterprise setups.

Comment 2 Nikhil Shetty 2017-01-24 05:34:43 UTC
Of course we should not use pxe_ssh driver for enterprise setups, but for evaluation & testing purpose we need the pxe_ssh driver to be present. Please, do accept this and add it as comment for the CLI portion.

Note: It is already part of the Web UI portion, so it is also required to be part of CLI portion.

Comment 3 Dan Macpherson 2017-02-06 06:12:47 UTC
Hi Nikhil,

As mentioned in the text, the Appendix in the doc covers the parameters for pxe_ssh:

https://access.redhat.com/documentation/en/red-hat-openstack-platform/10/single/director-installation-and-usage/#sect-SSH_and_Virsh

This should be sufficient for the CLI documentation.

I'm not sure what you are expecting beyond this. Can you please clarify?

Comment 4 Nikhil Shetty 2017-02-06 06:21:04 UTC
Hi Dan,

If you go via the official Documentation we donot have any such Details present in CLI Section, but if you look specifically in point 6.4 in Director Installation via WEB UI we do have a NOTE specifying the Same. Why cant we have a similar NOTE in CLI As well, It would make CLI Procedure quite more Simpler.

Comment 5 Dan Macpherson 2017-02-07 12:22:06 UTC
Hi Nikhil,

There's similar a note that is a little more general in the CLI section that says the following:

= NOTE =
For more supported power management types and their options, see Appendix B, Power Management Drivers.

https://access.redhat.com/documentation/en/red-hat-openstack-platform/10/single/director-installation-and-usage/#sect-Registering_Nodes_for_the_Overcloud

This reason this note is more general is because the CLI supports other drivers beyond IPMI and libvirt+SSH.

Comment 6 Derek 2018-10-29 23:17:47 UTC
Closing due to non-response to Dan's query (1year +).

Comment 7 Derek 2018-10-29 23:18:25 UTC
Closing due to non-response to Dan's query (1year +).


Note You need to log in before you can comment on or make changes to this bug.